<mat-toolbar color="primary" class="mat-elevation-z5">
  ngx-plyr
</mat-toolbar>

<div class="wrapper mat-typography">
  <h1>ngx-plyr: plyr for angular</h1>

  <p>Here you can find various demos for <a href="https://github.com/smnbbrv/ngx-plyr">ngx-plyr</a></p>

  <mat-card style="width: 640px;">
    <mat-card-title>Video</mat-card-title>
    <mat-card-subtitle>Plyr with custom video as a source</mat-card-subtitle>

    <div mat-card-image plyr plyrTitle="Custom video" [plyrPlaysInline]="true" [plyrCrossOrigin]="true"
      [plyrPoster]="poster" [plyrSources]="videoSources" [plyrTracks]="tracks" (plyrInit)="player = $event"
      (plyrPlay)="played($event)"></div>
    <mat-card-actions>
      <button mat-raised-button color="accent" (click)="play()">
        <mat-icon>play_arrow</mat-icon>
        Play
      </button>

      <button mat-raised-button color="accent" (click)="pause()">
        <mat-icon>pause</mat-icon>
        Pause
      </button>

      <button mat-raised-button color="accent" (click)="stop()">
        <mat-icon>stop</mat-icon>
        Stop
      </button>

      <a mat-raised-button color="primary" href="https://github.com/smnbbrv/ngx-plyr/tree/master/src/app">
        Source code
      </a>
    </mat-card-actions>
  </mat-card>

  <mat-card style="width: 640px;">
    <mat-card-title>Audio</mat-card-title>
    <mat-card-subtitle>Plyr with audio as a source</mat-card-subtitle>

    <div mat-card-image plyr plyrTitle="Audio" plyrType="audio" [plyrPlaysInline]="true" [plyrCrossOrigin]="true"
      [plyrSources]="audioSources"></div>

    <mat-card-actions>
      <a mat-raised-button color="primary" href="https://github.com/smnbbrv/ngx-plyr/tree/master/src/app">Source
        code</a>
    </mat-card-actions>
  </mat-card>

  <mat-divider></mat-divider>

  <h2>Youtube and Vimeo</h2>

  <div>
    <mat-card style="width: 640px;">
      <mat-card-title>Youtube</mat-card-title>
      <mat-card-subtitle>Plyr with Yotube video as a source</mat-card-subtitle>

      <div mat-card-image plyr plyrTitle="Video from Youtube" [plyrSources]="youtubeSources">
      </div>

      <mat-card-actions>
        <a mat-raised-button color="primary" href="https://github.com/smnbbrv/ngx-plyr/tree/master/src/app">Source
          code</a>
      </mat-card-actions>
    </mat-card>

    <mat-card style="width: 640px;">
      <mat-card-title>Vimeo</mat-card-title>
      <mat-card-subtitle>Plyr with Vimeo video as a source</mat-card-subtitle>

      <div mat-card-image plyr plyrTitle="Video from Vimeo" [plyrSources]="vimeoSources"></div>

      <mat-card-actions>
        <a mat-raised-button color="primary" href="https://github.com/smnbbrv/ngx-plyr/tree/master/src/app">Source
          code</a>
      </mat-card-actions>
    </mat-card>
  </div>

  <mat-divider></mat-divider>

  <app-hlsjs></app-hlsjs>

  <mat-divider></mat-divider>

  <app-dashjs></app-dashjs>
</div>
